### Signal

# Soup HSTSEnforcer::changed

#### Declaration

    void
    changed (
      SoupHSTSEnforcer* self,
      SoupHSTSPolicy* old_policy,
      SoupHSTSPolicy* new_policy,
      gpointer user_data
    )

#### Description [src]

Emitted when `hsts_enforcer` changes.

If a policy has been added, `new_policy` will contain the newly-added policy and `old_policy` will be `NULL`. If a policy has been deleted, `old_policy` will contain the to-be-deleted policy and `new_policy` will be `NULL`. If a policy has been changed, `old_policy` will contain its old value, and `new_policy` its new value.

Note that you shouldn’t modify the policies from a callback to this signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`old_policy`

  Type: `SoupHSTSPolicy`

  The old `SoupHSTSPolicy` value.

  The data is owned by the caller of the function.

`new_policy`

  Type: `SoupHSTSPolicy`

  The new `SoupHSTSPolicy` value.

  The data is owned by the caller of the function.